MCE(8)

NAME
mce - daemon that provides mode control functionality

SYNOPSIS
mce [OPTION]...

DESCRIPTION
mce is a daemon that provides mode control functionality and acts as a D-Bus proxy between dsme(8) and various applications.

On startup, mce will read the mode from the system mode file and switch to this mode. After this it will check if the user should be asked to enter the device lock code, and if so, the lock dialog osso-systemui-devlock(8) will be started. devlock-blocker(8) is also involved in this process.

Notifiers are registered for various GConf entries, as well as D-Bus message handlers for the method calls that mce provides, and D-Bus signal handlers for the signals that mce listens to.

mce will also listen to key events from the power button and the home button. If the power button is pressed, the device mode menu will be shown, unless the power button is pressed for at least 1.5 seconds, in which case the device will shut down.

The home button causes a D-Bus signal to be sent (if the home button is held for at least 1.5 seconds, a different signal will be sent).

Among the other functionality handled by mce is the logic for the touch screen and keypad lock, and startup/shutdown splashscreens.

Finally, monitoring of D-Bus signals from bme-dbus-proxy(8) takes place; if a "battery low" signal is received, a signal is sent to all applications to tell them to save their data, and if a "battery empty" signal is received, a system shutdown will be requested from dsme.

OPTIONS

-d, --daemonflag
    Run mce as a daemon

-S, --session
    Use the session bus instead of the system bus for D-Bus communication

--help
    Display help for the command

--version
    Display version and author information

GCONF KEYS

/system/osso/dsm/dsm/locks/touchscreen_keypad_autolock_enabled
    bool (read only)
    If this key is set to TRUE, the touchscreen/keypad lock will automatically be enabled when the screen blanks. If this key is set to FALSE, the lock will only be activated if the user chooses to do so from the device mode menu or if the cover is put on the device.

/system/osso/dsm/dsm/locks/devicelock_autolock_enabled
    bool (read only)
    If this key is set to TRUE, the device will be locked after the screen has blanked and the autolock timeout has expired. The user will then be asked for the device lock code when trying to use the device again. The device lock code will also be asked for the when the device is booted. If this key is set to FALSE, the autolock is disabled.

/system/osso/dsm/dsm/locks/devicelock_autolock_timeout
    int (read only)
    Number of seconds to wait before the autolock is enabled.

/system/osso/dsm/dsm/locks/devicelock_failed
    int (read/write)
    Number of failed attempts to enter the device lock code. If this value is non-zero, the user will be asked to input the lock code on bootup. When the correct code is entered, this value will be reset to 0.

/system/osso/dsm/dsm/locks/devicelock_total_failed
    int (read/write)
    The total number of failed attempts to enter the device lock code. This value is only kept for statistical purposes.

/system/osso/dsm/display/display_brightness
    int (read only)
    The brightness to use for the screen. Valid values range from 1 to 9.

/system/osso/dsm/display/display_dim_timeout
    int (read only)
    Number of seconds to wait before the screen is dimmed.

/system/osso/dsm/display/display_blank_timeout
    int (read only)
    Number of seconds to wait before the screen is blanked.

FILES

/var/run/mce.pid
    PID-file used by mce.

/var/lib/mce/mode
    Stores the system mode; valid values are normal and flight. This file should never be edited manually, and shall not be modified by any other process than mce, since the file is only read when mce is started.

SEE ALSO
bme-dbus-proxy(8), devlock-blocker(8), dsme(8), mcetool(8)

HISTORY
Oct 19 2007: Use escape-codes for hyphens.
Apr 12 2007: Minor fixes.
Oct 23 2006: Minor fixes.
Oct 3 2006: Fix typo.
Sep 23 2005: Fixed minor typos.
Sep 21 2005: Initial version of this manual page.

AUTHOR
mce and its manual page is written by David Weinehall <david.weinehall@nokia.com>

REPORTING BUGS
Report bugs to <david.weinehall@nokia.com>.

COPYRIGHT
Copyright © 2005-2007 Nokia Corporation. All rights reserved.